import { compose, withStateHandlers } from 'recompose'

const Tabs = ({ items, selectedTab, changeTab, children }) =>
  children({ selectedTab, changeTab })

export default compose(
  withStateHandlers(
    { selectedTab: 0 },
    {
      changeTab: () => selectedTab => ({
        selectedTab,
      }),
    },
  ),
)(Tabs)
